Magento 2.4 Error While Compiling PluginListGenerator.php on line 414

For fix the error, please follow the below instructions:

1. Go to PluginListGenerator.php on this path
vendor/magento/framework/Interception

2. Find this code:
$cacheId = implode(‘|’, $this->scopePriorityScheme) . “|” . $this->cacheId;

with this code:
$cacheId = implode(‘-‘, $this->scopePriorityScheme) . “-” . $this->cacheId;

3. Save the file and run the “setup:di:compile” command.

Hope this will solve your error!

How to get product salable quantity by object manager in Magento 2expoundsofttechsolution Magento 2.4 Error While Compiling PluginListGenerator.php on line 414